> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the historical events for a position

> This endpoint returns the historical actions for a position.

# Arguments

* `address` - The address of the position

# Returns

* `200` - The historical actions for the position



## OpenAPI

````yaml /developer-guides/dlmm/api-reference/openapi.json get /positions/{address}/historical
openapi: 3.1.0
info:
  title: DLMM API
  description: >-
    Indexed DLMM data for pools, portfolios, positions, limit orders, wallets,
    and protocol stats.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://dlmm.datapi.meteora.ag
    description: Production
  - url: https://dlmm.dev.metdev.io
    description: Development
security: []
paths:
  /positions/{address}/historical:
    get:
      tags:
        - Positions
      summary: Get the historical events for a position
      description: |-
        This endpoint returns the historical actions for a position.

        # Arguments

        * `address` - The address of the position

        # Returns

        * `200` - The historical actions for the position
      operationId: get_position_historical_events
      parameters:
        - name: address
          in: path
          required: true
          schema:
            type: string
        - name: event_type
          in: query
          description: |-
            Filter by event type (add, remove, claim_fee, claim_reward).
            If not provided, returns all event types.
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/PositionEventType'
        - name: order_direction
          in: query
          description: |-
            Order direction for sorting events by block time.
            - `asc`: Oldest events first
            - `desc`: Most recent events first (default)
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/PositionEventOrderDirection'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPositionHistoricalEventsResponse'
components:
  schemas:
    PositionEventType:
      type: string
      enum:
        - add
        - remove
        - claim_fee
        - claim_reward
    PositionEventOrderDirection:
      type: string
      enum:
        - asc
        - desc
    GetPositionHistoricalEventsResponse:
      type: object
      required:
        - events
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/PositionEvent'
    PositionEvent:
      type: object
      required:
        - signature
        - ixIndex
        - eventType
        - positionAddress
        - blockTime
        - slot
        - poolAddress
        - userAddress
        - tokenX
        - tokenY
        - amountX
        - amountY
        - amountXUsd
        - amountYUsd
        - totalUsd
        - createdAt
      properties:
        amountX:
          type: string
        amountXUsd:
          type: string
        amountY:
          type: string
        amountYUsd:
          type: string
        blockTime:
          type: integer
          format: int64
          minimum: 0
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T12:00:00Z'
        eventType:
          type: string
        ixIndex:
          type: integer
          format: int64
          minimum: 0
        poolAddress:
          type: string
        positionAddress:
          type: string
        signature:
          type: string
        slot:
          type: integer
          format: int64
          minimum: 0
        tokenX:
          type: string
        tokenY:
          type: string
        totalUsd:
          type: string
        userAddress:
          type: string

````